Node('electromagnet_test.test',
     'test electromagnet SPS',
     'tcp://5001',
     )

IO('io_mf', uri='linse-emagnet:2000')
IO('io_mot', uri='linse-emagnet:3001')


Mod('mf',
    'frappy_psi.electromagnet.Magnet'
    'magnetic field',
    io='io_sps')

Mod('mot',
    'frappy_psi.phytron.Motor',
    'sample changer motor',
    io='io_mot',
    Value=Param(unit='mm'),
    encoder_mode='CHECK',
)

Mod('sample_pos',
    'frappy_psi.electromagnet.SamplePosition',
    motor='mot',
    )
